Bug 442904 - yaboot builds against binary copy of libext2fs.a
yaboot builds against binary copy of libext2fs.a
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker 442905 442907 442908
  Show dependency treegraph
 
Reported: 2008-04-17 10:58 EDT by David Woodhouse
Modified: 2008-04-22 14:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 13:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-04-17 10:58:27 EDT
We don't build yaboot completely from source -- in versions <= 1.3.13, the
"source" tarball contains a prebuilt copy of libext2fs.a, which we were using.

Version 1.3.14 builds against the system's static libext2fs.a. That also
concerns me a little -- yaboot is far from being a standard environment; we
build with -nostdlib etc.  But it seems to work.
Comment 1 David Woodhouse 2008-04-17 11:06:59 EDT
We've moved on to 1.3.14 in the devel/ branch already, but I think it's best not
to update to 1.3.14 in Fedora 9 at this stage. Please could we have an F-9
branch to fix this in.
Comment 2 David Woodhouse 2008-04-17 11:08:23 EDT
(branched from the yaboot-1_3_13-11_fc9 tag into F-9 if at all possible; if not
I'm sure we'll cope)
Comment 3 Kevin Fenzi 2008-04-17 12:58:25 EDT
cvs done. 
I think it should have branched from devel head... hopefully that works. 
Comment 4 David Woodhouse 2008-04-18 06:18:56 EDT
yaboot-1.3.13-12.fc9 built and tested on various platforms. Just needs tagging
for f9-final.
Comment 5 Bill Nottingham 2008-04-22 13:50:58 EDT
Verified. A "rm -f lib/libext2fs.a" would make it really obvious if it broke
later, but that's just an optimization.
Comment 6 David Woodhouse 2008-04-22 14:33:40 EDT
Next build of yaboot will be 1.3.14 anyway, which doesn't have lib/ext2fs.a. For
F9 at this stage of the game, however, it seemed saner to build another 1.3.13.

Note You need to log in before you can comment on or make changes to this bug.